6.0.0-git
2019-03-19

[#12349] Cache of virtual folders not properly invalidated
Summary Cache of virtual folders not properly invalidated
Queue IMP
Queue Version 6.1.1
Type Bug
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester arjen+horde (at) de-korte (dot) org
Created 2013-06-13 (2105 days ago)
Due
Updated 2013-06-20 (2098 days ago)
Assigned
Resolved 2013-06-13 (2105 days ago)
Milestone
Patch No

History
2013-06-20 11:52:28 arjen+horde (at) de-korte (dot) org Comment #14 Reply to this comment
Nope, it's broken again. Sometimes it works correctly a few times, but 
then it may also fail again. I have done the following to try if this 
is browser cache related:

- installed IMP again to make sure it is up-to-date and there are no 
missing/corrupted Javascript files (pear install -f horde/imp) -> no 
change
- cleared out the horde/static/ directory -> no change
- cleared the cache in Firefox -> no change
- installed a browser new to the system (to rule out any browser 
cache/history related issues) -> no change

I'm out of ideas what to try further to diagnose what is going on now. 
Where should I put the Horde::debug statements to find out what is 
happening?
2013-06-19 11:30:13 arjen+horde (at) de-korte (dot) org Comment #13 Reply to this comment
I stand corrected, clearing the browser cache indeed fixed this (with 
IMP 6.1.2). Thanks!
2013-06-18 21:58:49 Michael Slusarz Comment #12 Reply to this comment
I very much doubt it has to do with the browser cache.
It absolutely has to do with the browser cache.  Unless you have 
configured static javascript delivery, upgrading versions gives ZERO 
guarantee that your browser is not still using the old javascript.
2013-06-18 21:38:37 arjen+horde (at) de-korte (dot) org Comment #11 Reply to this comment
I can verify this is fixed.  So if it is not working for you, you 
need to debug yourself.
Crap. The problem is, that this doesn't always happen, but frequent 
enough to be annoying. I have not found a 100% reliable way to trigger 
it either.
Also need to make sure you clear browser cache.
I very much doubt it has to do with the browser cache. Both the 
message shown in the mailbox summary and the message displayed in the 
preview pane are from after the upgrade (and within the same session). 
If the only way to prevent this from happening would be to disable the 
browser cache, IMP is badly broken,
2013-06-18 21:24:30 Michael Slusarz Comment #10 Reply to this comment
I can verify this is fixed.  So if it is not working for you, you need 
to debug yourself.

Also need to make sure you clear browser cache.
2013-06-18 21:04:35 arjen+horde (at) de-korte (dot) org Comment #9 Reply to this comment
After upgrading to the latest IMP-6.1.2, the problem is still present. 
I just got the exact same behavior in the Virtual Inbox as reported 
earlier.

In case it matters, I'm using NoSQL cache with APC memorycache driver.
2013-06-17 07:38:05 arjen+horde (at) de-korte (dot) org Comment #8 Reply to this comment
Looks good now, thanks!
I'm not sure what is going on, but its still broken. Initially, it 
looked good, but now it's worse that it was before. New messages are 
not picked up at all (not even in the mailbox summary) and when 
messages are shown, the behavior is still the same. I'm not sure if I 
applied the patches correctly, so I 'll wait until IMP-6.1.2 is 
released and report back then.

2013-06-15 13:56:29 arjen+horde (at) de-korte (dot) org Comment #7 Reply to this comment
Looks good now, thanks!

2013-06-14 21:41:06 Michael Slusarz Comment #6
Assigned to Michael Slusarz
Reply to this comment
6.1.2.
2013-06-14 21:37:31 Git Commit Comment #5 Reply to this comment
Changes have been made in Git (master):

commit 85b34c0af8de4ced642a2143d2811eae2cd20c3a
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Fri Jun 14 15:36:59 2013 -0600

     [mms] Clear cached previews in dynamic view when changing or 
refreshing a search mailbox (Bug #12349).

  imp/docs/CHANGES                          |    4 +-
  imp/js/viewport.js                        |    1 +
  imp/lib/Ajax/Application/ListMessages.php |   39 ++++++++++++++++------------
  imp/package.xml                           |    4 +-
  4 files changed, 27 insertions(+), 21 deletions(-)

http://git.horde.org/horde-git/-/commit/85b34c0af8de4ced642a2143d2811eae2cd20c3a
2013-06-14 08:58:30 arjen+horde (at) de-korte (dot) org Comment #4 Reply to this comment
Already fixed in 6.1.2.
Virtual Inbox is still broken after applying

     
http://git.horde.org/commit.php/?rt=horde-git&commit=0877b21fbb15425e1d8f541610fc0ce489fdbe0c

to IMP-6.1.1. Are there more relevant differences between IMP-6.1.1 
and -6.1.2?
2013-06-13 12:08:17 Michael Slusarz Comment #3
State ⇒ Resolved
Reply to this comment
Already fixed in 6.1.2.
2013-06-13 08:04:29 arjen+horde (at) de-korte (dot) org Comment #2 Reply to this comment
I just noticed that the problem with the searches was reported to be 
fixed in IMP-6.1.2. I'll try if this fix also fixes this problems. 
Which patches are relevant to this?
2013-06-13 08:01:53 arjen+horde (at) de-korte (dot) org Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Cache of virtual folders not properly invalidated
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
New Attachment: Virtual Inbox (1).PNG Download
Reply to this comment
When using virtual folders (either the Virtual Inbox or the results of 
a search), the cache doesn't seem to be invalidated between refreshes. 
See the attached image of the Virtual Inbox.

Before refreshing, three messages were displayed properly in the 
mailbox summary and also in the message view window. After hitting 
refresh, three new messages were found and correctly displayed in the 
mailbox summary. However, in the view window the old messages were 
still displayed (even after hitting refresh a couple more times).

From a message on the Horde mailinglist

http://lists.horde.org/archives/horde/Week-of-Mon-20130610/048036.html

a similar behavior seems to happen in the search window.

Saved Queries